<template>
  <ul class="pagination">
    <li>
      <a @click.prevent="prevPage" href v-if="minPage" class="indicatorColor" rel="prev">«</a>
      <a v-else-if="!minPage" href class="disable" rel="prev">«</a>
    </li>
    <li>
      <a
        href
        v-for="i in totalPages"
        :key="i"
        class="mx-2 indicatorColor"
        :class="{ 'active': i - 1 == pageNumber }"
        @click.prevent="jumpPage(i-1)"
      >
        <span>{{ i }}</span>
      </a>
    </li>
    <li>
      <a @click.prevent="nextPage" v-if="maxPage" class="indicatorColor" rel="next">»</a>
      <a v-else-if="!maxPage" class="disable" rel="next">»</a>
    </li>
  </ul>
</template>

<script>
export default {
  props: {
    totalPages: {
      type: Number
    },
    minPage: {
      type: Boolean
    },
    maxPage: {
      type: Boolean
    },
    pageNumber: {
      type: Number
    }
  },
  data() {
    return {
      currentPage: this.pageNumber
    };
  },
  methods: {
    nextPage() {
      this.currentPage++;
      this.$emit("change-page", this.currentPage);
    },
    prevPage() {
      this.currentPage--;
      this.$emit("change-page", this.currentPage);
    },
    jumpPage(page) {
      this.currentPage = page;
      this.$emit("change-page", this.currentPage);
    }
  }
};
</script>
